<?php
namespace Mirasvit\AllProducts\Controller\Index\Index;

/**
 * Interceptor class for @see \Mirasvit\AllProducts\Controller\Index\Index
 */
class Interceptor extends \Mirasvit\AllProducts\Controller\Index\Index implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\App\Action\Context $context, \Magento\Framework\View\Result\PageFactory $resultPageFactory, \Mirasvit\AllProducts\Service\MetaService $metaService, \Magento\Store\Model\StoreManagerInterface $storeManager, \Magento\Catalog\Api\CategoryRepositoryInterface $categoryRepository, \Magento\Catalog\Model\Session $catalogSession, \Magento\Framework\Registry $registry, \Mirasvit\AllProducts\Service\UrlService $url, \Mirasvit\AllProducts\Config\Config $config)
    {
        $this->___init();
        parent::__construct($context, $resultPageFactory, $metaService, $storeManager, $categoryRepository, $catalogSession, $registry, $url, $config);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
